Module java.base
Package java.util.function

## Interface ToDoubleBiFunction<T,U>

Type Parameters:
  `T` - the type of the first argument to the function
  `U` - the type of the second argument to the function

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ToDoubleBiFunction<T,U>

Represents a function that accepts two arguments and produces a double-valued result. This is the `double`-producing primitive specialization for `BiFunction`.

This is a functional interface whose functional method is `applyAsDouble(Object, Object)`.

Since:
  1.8
See Also:
  `BiFunction`

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `applyAsDouble(T t, U u)` Applies this function to the given arguments.

### Method Detail

#### applyAsDouble

    double applyAsDouble(T t,
                         U u)

Applies this function to the given arguments.

Parameters:
  `t` - the first function argument
  `u` - the second function argument
Returns:
  the function result